    <!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layoutadmin}">
<head>
    <meta charset="UTF-8">
    <title>Jadwal</title>
</head>
<body onload="myFunction()">
<div layout:fragment="main">
    <div class="header bg-gradient-primary pb-8 pt-5 pt-md-8">
        <div class="container-fluid">
            <div class="header-body">
                <!-- Card stats -->
                <div class="row">
                    <div class="col-xl-12 col-lg-12">
                        <div class="card card-stats mb-4 mb-xl-0">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col">
                                        <h5 class="card-title text-uppercase text-muted mb-0">List</h5>
                                        <span class="h2 font-weight-bold mb-0">Jadwal Kuliah </span>
                                    </div>
                                    <div class="col-auto">
                                        <div class="icon icon-shape bg-gradient-blue text-white rounded-circle shadow">
                                            <i class="fas fa-list"></i>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>

    <div class="container-fluid mt--7">
        <!-- Table -->
        <div class="row">
            <div class="col">
                <div class="card shadow">
                    <div class="card-header border-0">
                        <div class="row align-items-center">
                            <div class="col">
                                <h3 class="mb-0">Data List</h3>
                            </div>
                            <div class="col text-right">
                                <a th:href="@{/academic/schedule/list (tahunAkademik = ${jadwal.tahunAkademik.id}, prodi = ${jadwal.prodi.id})}" class="btn btn-sm btn-default"><i class="fas fa-arrow-alt-circle-left"></i> Back</a>
                            </div>
                        </div>
                    </div>
                    <div class="card-body">

                        <div class="alert alert-danger" th:if="${bentrokJadwal != null}">
                            Data Jadwal bentrok.. dengan
                            <table>
                                <tr th:each="dataBentrok,row : ${bentrokJadwal}">
                                    <td th:text="${dataBentrok[31]}"></td>
                                    <td> - </td>
                                    <td th:text="${dataBentrok[28]}"></td>
                                    <td> - </td>
                                    <td th:text="${dataBentrok[29]}"></td>
                                    <td> - </td>
                                    <td th:text="${dataBentrok[30]}"></td>
                                    <td> - </td>
                                    <td th:text="${dataBentrok[3]}"></td>
                                    <td> - </td>
                                    <td th:text="${dataBentrok[4]}"></td>
                                </tr>
                            </table>
                        </div>

<!--                        <div class="alert alert-warning" th:if="${validJadwal != null}">-->
<!--                            <span class="alert-inner&#45;&#45;icon"><i class="fas fa-exclamation-triangle"></i></span>-->
<!--                            <span class="alert-inner&#45;&#45;text">Sorry, Your selected schedule has been used, please another schedule</span>-->
<!--                        </div>-->
                        <form th:action="@{/academic/schedule/form}" th:object="${jadwal}" method="post">
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Prodi</label>
                                        <input type="text" disabled th:field="*{prodi.namaProdi}" class="form-control">
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Program</label>
                                        <input type="text" disabled th:field="*{program.namaProgram}" class="form-control" />
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Hari</label>
                                        <select class="form-control js-example-placeholder-single" onchange="mySesi()"
                                                style="width: 100%!important; height: 100px;" id="select2-hari" th:field="*{hari}">
                                            <option value=""></option>
                                            <option th:each="data: ${hari}"
                                                    th:text="${data.namaHari + '  -  ' + data.namaHariEng}"
                                                    th:value="${data.id}">sdasd</option>
                                        </select>
                                        <input type="hidden" id="isiHari" name="hari" th:field="*{hari}">
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Matakuliah</label>
                                        <input type="text" th:value="${jadwal.matakuliahKurikulum.matakuliah.namaMatakuliah + '  -  ' + jadwal.matakuliahKurikulum.matakuliah.namaMatakuliahEnglish}" disabled class="form-control" />
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Ruang Kelas</label>
                                        <select class="form-control js-example-placeholder-single" onchange="mySesi()"
                                                style="width: 100%!important;" id="select2-ruangan" th:field="*{ruangan}">
                                            <option value=""></option>
                                            <option th:each="data: ${ruangan}"
                                                    th:text="${data.namaRuangan + '  -  ' + data.gedung.namaGedung}"
                                                    th:value="${data.id}">sdasd</option>
                                        </select>
                                        <input type="hidden" id="isiRuangan" name="ruangan" th:field="*{ruangan}">
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Sesi</label>
                                        <select id="locality-dropdown"  class="form-control" onchange="waktu()">
                                        </select>
                                        <input type="hidden" id="isiSesi" name="sesi" th:field="*{sesi}">
                                        <input type="hidden" name="aksesUts" th:field="*{aksesUts}">
                                        <input type="hidden" name="aksesUas" th:field="*{aksesUas}">
<!--                                        <input type="hidden" id="idNumberElearning" name="idNumberElearning" th:field="*{idNumberElearning}">-->
                                        <input type="hidden" id="sks" th:value="${jadwal.matakuliahKurikulum.jumlahSks}">
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Jam Mulai</label>
                                        <input type="text" th:field="*{jamMulai}" readonly maxlength="5" max="5" name="jamMulai" id="jamMulai" class="form-control">
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Jam Selesai</label>
                                        <input type="text" name="jamSelesai" th:field="*{jamSelesai}" maxlength="5" readonly id="jamSelesai" class="form-control">
                                        <input type="hidden" id="mulai" name="mulai" th:field="*{jamMulai}">
                                        <input type="hidden" id="selesai" name="selesai" th:field="*{jamSelesai}">
                                        <input type="hidden" id="sesii" name="sesii" >

                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Kelas</label>
                                        <input type="text" class="form-control" id="plotKelas" th:value="${jadwal.kelas.namaKelas}"
                                               placeholder="Cari Kelas ..." data-provide="typeahead" autocomplete="off" readonly required>
                                        <input type="hidden" id="isiPlotKelas" name="kelas" th:field="*{kelas}">
                                        <input type="hidden" id="isiPlotMatakuliah" name="matakuliahKurikulum" th:field="*{matakuliahKurikulum}">
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Dosen</label>
                                        <input type="hidden" id="idDosen" th:field="*{dosen}">
                                        <select class="form-control js-example-placeholder-single" id="select2-dosen"
                                                style="width: 100%!important;" name="dosen"  th:field="*{dosen}" onchange="mySesi()">
                                            <option value=""></option>
                                            <option th:each="data: ${dosen}"
                                                    th:text="${data.karyawan.namaKaryawan}"
                                                    th:value="${data.id}">sdasd</option>
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-6">
                                    <label>Kapasitas</label>
                                    <div class="form-group">
                                        <input type="text" required name="kapasitas" th:field="*{kapasitas}" class="form-control">
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Akses</label>
                                        <select name="akses" class="form-control" th:field="*{akses}">
                                            <option value="TERTUTUP">Tertutup</option>
                                            <option value="PRODI" th:text="${jadwal.prodi.namaProdi}">PRODI</option>
                                            <option value="UMUM">Semua Prodi</option>
                                        </select>
                                    </div>
                                </div>
                            </div>


                            <div class="form-group">
                                <button class="btn btn-primary">Simpan</button>
                            </div>
                            <input type="hidden" id="idNumberElearning" name="idNumberElearning" th:field="*{idNumberElearning}">
                            <input type="hidden" name="prodi" th:field="*{prodi}">
                            <input type="hidden" name="program" th:field="*{program}">
                            <input type="hidden" name="tahunAkademikProdi" th:field="*{tahunAkademikProdi}">
                            <input type="hidden" name="id" id="id" th:field="*{id}">
                            <input name="status" th:field="*{status}" type="hidden"/>
                            <input type="hidden" id="tahun" name="tahunAkademik" th:field="*{tahunAkademik}">
                            <input type="hidden" name="jumlahSesi" th:field="*{jumlahSesi}">
                            <input type="hidden" name="bobotUts" th:field="*{bobotUts}">
                            <input type="hidden" name="bobotUas" th:field="*{bobotUas}">
                            <input type="hidden" name="bobotTugas" th:field="*{bobotTugas}">
                            <input type="hidden" name="bobotPresensi" th:field="*{bobotPresensi}">
                            <input type="hidden" name="statusUts" th:field="*{statusUts}">
                            <input type="hidden" name="statusUas" th:field="*{statusUas}">
                            <input type="hidden" name="formatUts" th:field="*{formatUts}">
                            <input type="hidden" name="formatUas" th:field="*{formatUas}">
                            <input type="hidden" name="finalPloting" th:field="*{finalPloting}">

                        </form>
                    </div>
                </div>
            </div>
        </div>
        <!-- Dark table -->


    </div>
</div>
</body>
</html>
<script>
    $(".js-example-placeholder-single").select2({
        placeholder: "Pilih Salah Satu",
        allowClear: true
    });

    (function($){
        $('#select2-ruangan').select2();

        $('#select2-ruangan').on('select2:selecting', function(e) {
            console.log('Selecting: ' , e.params.args.data.id);
            $('#isiRuangan').val(e.params.args.data.id);
        });

        $('#select2-hari').select2();

        $('#select2-hari').on('select2:selecting', function(e) {
            console.log('Selecting: ' , e.params.args.data.id);
            $('#isiHari').val(e.params.args.data.id);
        });

        $('#select2-dosen').select2();

        $('#select2-dosen').on('select2:selecting', function(e) {
            console.log('Selecting: ' , e.params.args.data.id);
            $('#idDosen').val(e.params.args.data.id);
        });

        if ($('#sesii').val() != null){
            let dropdown = $('#locality-dropdown');

            dropdown.empty();

            dropdown.append('<option selected="true" disabled>Pilih Sesi</option>');
            dropdown.prop('selectedIndex', 0);
            console.log($('#isiRuangan').val())
            var url = '/akademik/validasi-sesi/'+$('#id').val()+'?tahun='+$('#tahun').val()+'&hari='+$('#isiHari').val()+'&sks='+$('#sks').val()+'&ruangan='+$('#isiRuangan').val()+'&kelas='+$('#isiPlotKelas').val()+'&dosen='+$('#idDosen').val();

            $.getJSON(url, function (data) {

                $.each(data, function (key, entry) {
                    if (entry.bentrok == null){
                        dropdown.append($('<option></option>').attr('value', entry.idSesi).text(entry.namaSesi + ' ( ' + entry.mulai + ' - ' +entry.selesai + ' )'));
                    }else {
                        dropdown.append($('<option disabled title="'+ entry.bentrok + ' ( '+ entry.dosen + ' - ' + entry.matkul + ')' + '" ></option>').attr('value', entry.idSesi).text(entry.namaSesi + ' ( ' + entry.mulai + ' - ' +entry.selesai + ' )'));
                    }
                })
            });

            waktu()
        }

    })(jQuery);

    function mySesi() {
        let dropdown = $('#locality-dropdown');

        dropdown.empty();

        dropdown.append('<option selected="true" disabled>Pilih Sesi</option>');
        dropdown.prop('selectedIndex', 0);
        console.log($('#isiRuangan').val())
        var url = '/akademik/validasi-sesi/'+$('#id').val()+'?tahun='+$('#tahun').val()+'&hari='+$('#isiHari').val()+'&sks='+$('#sks').val()+'&ruangan='+$('#isiRuangan').val()+'&kelas='+$('#isiPlotKelas').val()+'&dosen='+$('#idDosen').val();
        // const url = '/api/sesi?idHari='+$('#isiHari').val()+'&idRuangan='+$('#isiRuangan').val()+'&sks='+$('#sks').val()+'&kelas='+$('#isiPlotKelas').val()+'&dosen='+$('#idDosen').val();

        $.getJSON(url, function (data) {

            $.each(data, function (key, entry) {
                if (entry.bentrok == null){
                    dropdown.append($('<option></option>').attr('value', entry.idSesi).text(entry.namaSesi + ' ( ' + entry.mulai + ' - ' +entry.selesai + ' )'));
                }else {
                    dropdown.append($('<option disabled title="'+ entry.bentrok + ' ( '+ entry.dosen + ' - ' + entry.matkul + ')' + '" ></option>').attr('value', entry.idSesi).text(entry.namaSesi + ' ( ' + entry.mulai + ' - ' +entry.selesai + ' )'));
                }
            })
        });
    }

    function waktu() {
        var x = document.getElementById("locality-dropdown").value;
        console.log(x);
        const url = '/api/waktu?id='+x;
        $.getJSON(url, function (data) {

            $('#mulai').val(data.jamMulai);
            $('#jamMulai').val(data.jamMulai);
            $('#selesai').val(data.jamSelesai);
            $('#jamSelesai').val(data.jamSelesai);
            $('#isiSesi').val(data.sesi);
            $('#sesii').val(data.id);
            document.getElementById("mulai").value = data.jamMulai;
            document.getElementById("selesai").value = data.jamSelesai;
        });

    }

    function myFunction() {
        let dropdown = $('#locality-dropdown');

        dropdown.empty();

        dropdown.append('<option selected="true" disabled>Pilih Sesi</option>');
        dropdown.prop('selectedIndex', 0);
        console.log($('#isiRuangan').val())
        const url = '/api/sesi?idHari='+$('#isiHari').val()+'&idRuangan='+$('#isiRuangan').val()+'&sks='+$('#sks').val()+'&kelas='+$('#isiPlotKelas').val()+'&dosen='+$('#idDosen').val();

        // Populate dropdown with list of provinces
        $.getJSON(url, function (data) {

            $.each(data, function (key, entry) {
                dropdown.append($('<option></option>').attr('value', entry.id).text(entry.namaSesi));
            })
        });
    }
</script>